Skip to main content
GET
/
api
/
quotes
/
fiat-to-stablecoin
/
best
Get Best Fiat-to-Stablecoin Quote
curl --request GET \
  --url https://api.teel.finance/api/quotes/fiat-to-stablecoin/best
{
  "protocol": "rt_5Tn1bQp8w2k",
  "fromCcy": "USD",
  "toCcy": "USDC",
  "fromAmount": 1000,
  "toAmount": 998.50,
  "exchangeRate": 1.0,
  "effRate": 0.9985,
  "fee": 1.50,
  "isCryptoQuote": true,
  "swapPath": "USD -> USDC"
}
Returns the single best quote for converting fiat currency into a stablecoin such as USDC or USDT.

Query Parameters

source_currency
string
required
ISO 4217 currency code for the source fiat currency (e.g. USD, EUR).
target_token
string
required
The target stablecoin token symbol (e.g. USDC, USDT).
amount
number
required
The amount in the source fiat currency to convert.

Response

protocol
string
Opaque route token (rt_...) identifying the route. See Route tokens.
fromCcy
string
Source fiat currency code.
toCcy
string
Target stablecoin token symbol.
fromAmount
number
Amount in the source fiat currency.
toAmount
number
Amount of stablecoin the user will receive.
exchangeRate
number
The raw exchange rate before fees.
effRate
number
The effective exchange rate after fees are applied.
fee
number
Total fee charged for the conversion.
isCryptoQuote
boolean
Whether this quote involves a crypto leg.
swapPath
string
Description of the swap path used (e.g. USD -> USDC or EUR -> USDC via USD).
{
  "protocol": "rt_5Tn1bQp8w2k",
  "fromCcy": "USD",
  "toCcy": "USDC",
  "fromAmount": 1000,
  "toAmount": 998.50,
  "exchangeRate": 1.0,
  "effRate": 0.9985,
  "fee": 1.50,
  "isCryptoQuote": true,
  "swapPath": "USD -> USDC"
}